*Example A: Frequentist methods
csi 0 2 20 18
csi 1 3 21 19
csi 1 3 21 19, level(90)
csi 1 2 19 18
csi 1 2 19 18, level(90)
csi 0 2 20 18, or
mercii 0 2 20 18, exact cornfield
di r(ub_or)
mercii 0 2 20 18, midp cornfield
di r(ub_or)
mercii 0 2 20 18, exact bp
di r(ub_or)
mercii 0 2 20 18, midp bp
di r(ub_or)

*Example A: Simulate data
clear
set obs 4
gen group = .
gen outcome = .
gen n = .
replace group = 0 in 1
replace group = 0 in 2
replace group = 1 in 3
replace group = 1 in 4
replace outcome = 0 in 1
replace outcome = 1 in 2
replace outcome = 0 in 3
replace outcome = 1 in 4
replace n = 18 in 1
replace n = 2 in 2
replace n = 20 in 3
replace n = 0 in 4
expand n
drop if n==0

*Example A: Bayesian methods
bayes, nomleinitial noi rseed(31122020): binreg outcome i.group, rr asis
bayes, nomleinitial noi hpd rseed(31122020): binreg outcome i.group, rr asis

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(1,1)) prior({theta1}, beta(1,1)) rseed(31122020)            

bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(0.5,0.5)) prior({theta1},  beta(0.5,0.5)) rseed(31122020)              

bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd



*Example B: Frequentist methods
csi 0 10 100 90
csi 1 11 101 91
csi 1 11 101 91, level(90)
csi 1 10 99 90
csi 1 10 99 90, level(90)
csi 0 10 100 90, or
mercii 0 10 100 90, exact cornfield
di r(ub_or)
mercii 0 10 100 90, midp cornfield
di r(ub_or)
mercii 0 10 100 90, exact bp
di r(ub_or)
mercii 0 10 100 90, midp bp
di r(ub_or)

*Example B: Simulate data
clear
set obs 4
gen group = .
gen outcome = .
gen n = .
replace group = 0 in 1
replace group = 0 in 2
replace group = 1 in 3
replace group = 1 in 4
replace outcome = 0 in 1
replace outcome = 1 in 2
replace outcome = 0 in 3
replace outcome = 1 in 4
replace n = 90 in 1
replace n = 10 in 2
replace n = 100 in 3
replace n = 0 in 4
expand n
drop if n==0

*Example B: Bayesian methods
bayes, nomleinitial noi rseed(31122020): binreg outcome i.group, rr asis
bayes, nomleinitial noi hpd rseed(31122020): binreg outcome i.group, rr asis

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(1,1)) prior({theta1}, beta(1,1)) rseed(31122020)              
bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(0.5,0.5)) prior({theta1},  beta(0.5,0.5)) rseed(31122020)              
bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd



*Example C: Frequentist methods
csi 0 20 200 180
csi 1 21 201 181
csi 1 21 201 181, level(90)
csi 1 20 199 180
csi 1 20 199 180, level(90)
csi 0 20 200 180, or
mercii 0 20 200 180, exact cornfield
di r(ub_or)
mercii 0 20 200 180, midp cornfield
di r(ub_or)
mercii 0 20 200 180, exact bp
di r(ub_or)
mercii 0 20 200 180, midp bp
di r(ub_or)

*Example C: Simulate data
clear
set obs 4
gen group = .
gen outcome = .
gen n = .
replace group = 0 in 1
replace group = 0 in 2
replace group = 1 in 3
replace group = 1 in 4
replace outcome = 0 in 1
replace outcome = 1 in 2
replace outcome = 0 in 3
replace outcome = 1 in 4
replace n = 180 in 1
replace n = 20 in 2
replace n = 200 in 3
replace n = 0 in 4
expand n
drop if n==0

*Example C: Bayesian methods
bayes, nomleinitial noi rseed(31122020): binreg outcome i.group, rr asis
bayes, nomleinitial noi hpd rseed(31122020): binreg outcome i.group, rr asis

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(1,1)) prior({theta1}, beta(1,1)) rseed(31122020)              
bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(0.5,0.5)) prior({theta1},  beta(0.5,0.5)) rseed(31122020)              
bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd


*Example D: Frequentist methods
csi 0 1000 10000 9000
csi 1 1001 10001 9001
csi 1 1001 10001 9001, level(90)
csi 1 1000 9999 9000
csi 1 1000 9999 9000, level(90)
csi 0 1000 10000 9000, or
mercii 0 1000 10000 9000, exact cornfield
mercii 0 1000 10000 9000, midp cornfield
mercii 0 1000 10000 9000, exact bp
mercii 0 1000 10000 9000, midp bp

*Example D: Simulate data
clear
set obs 4
gen group = .
gen outcome = .
gen n = .
replace group = 0 in 1
replace group = 0 in 2
replace group = 1 in 3
replace group = 1 in 4
replace outcome = 0 in 1
replace outcome = 1 in 2
replace outcome = 0 in 3
replace outcome = 1 in 4
replace n = 9000 in 1
replace n = 1000 in 2
replace n = 10000 in 3
replace n = 0 in 4
expand n
drop if n==0

*Example D: Bayesian methods
bayes, nomleinitial noi rseed(31122020): binreg outcome i.group, rr asis
bayes, nomleinitial noi hpd rseed(31122020): binreg outcome i.group, rr asis

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(1,1)) prior({theta1}, beta(1,1)) rseed(31122020)        
bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(0.5,0.5)) prior({theta1},  beta(0.5,0.5)) rseed(31122020)       
bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd


*Example E: Frequentist methods
csi 0 100 10000 9900
csi 1 101 10001 9901
csi 1 101 10001 9901, level(90)
csi 1 100 9999 9900
csi 1 100 9999 9900, level(90)
csi 0 100 10000 9900, or
mercii 0 100 10000 9900, exact cornfield
mercii 0 100 10000 9900, midp cornfield
mercii 0 100 10000 9900, exact bp
mercii 0 100 10000 9900, midp bp

*Example E: Simulate data
clear
set obs 4
gen group = .
gen outcome = .
gen n = .
replace group = 0 in 1
replace group = 0 in 2
replace group = 1 in 3
replace group = 1 in 4
replace outcome = 0 in 1
replace outcome = 1 in 2
replace outcome = 0 in 3
replace outcome = 1 in 4
replace n = 9900 in 1
replace n = 100 in 2
replace n = 10000 in 3
replace n = 0 in 4
expand n
drop if n==0

*Example E: Bayesian methods
bayes, nomleinitial noi rseed(31122020): binreg outcome i.group, rr asis
bayes, nomleinitial noi hpd rseed(31122020): binreg outcome i.group, rr asis

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(1,1)) prior({theta1}, beta(1,1)) rseed(31122020)            
bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(0.5,0.5)) prior({theta1},  beta(0.5,0.5)) rseed(31122020)              
bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd


*Example F: Frequentist methods
csi 0 10 10000 9990
csi 1 11 10001 9991
csi 1 11 10001 9991, level(90)
csi 1 10 9999 9990
csi 1 10 9999 9990, level(90)
csi 0 10 10000 9990, or
mercii 0 10 10000 9990, exact cornfield
mercii 0 10 10000 9990, midp cornfield
mercii 0 10 10000 9990, exact bp
mercii 0 10 10000 9990, midp bp

*Example F: Simulate data
clear
set obs 4
gen group = .
gen outcome = .
gen n = .
replace group = 0 in 1
replace group = 0 in 2
replace group = 1 in 3
replace group = 1 in 4
replace outcome = 0 in 1
replace outcome = 1 in 2
replace outcome = 0 in 3
replace outcome = 1 in 4
replace n = 9990 in 1
replace n = 10 in 2
replace n = 10000 in 3
replace n = 0 in 4
expand n
drop if n==0

*Example F: Bayesian methods
bayes, nomleinitial noi rseed(31122020): binreg outcome i.group, rr asis
bayes, nomleinitial noi hpd rseed(31122020): binreg outcome i.group, rr asis

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(1,1)) prior({theta1}, beta(1,1)) rseed(31122020)              
bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd

bayesmh (eq0: outcome if group==0, likelihood(dbernoulli({theta0}))) (eq1: outcome if group==1, likelihood(dbernoulli({theta1}))), prior({theta0}, beta(0.5,0.5)) prior({theta1},  beta(0.5,0.5)) rseed(31122020)              
bayesstats summary ({theta1}/{theta0})
bayesstats summary ({theta1}/{theta0}), hpd
